<template>
  <div class="col-sm-6 col-md-4">
    <div class="panel panel-success">
      <div class="panel-heading">
        <h3 class="panel-title">{{stock.name}}
          <small>(قیمت: {{stock.price}} | مقدار: {{stock.quantity}})</small>
        </h3>
      </div>
      <div class="panel-body">
        <div class="pull-right">
          <input type="number"
                 class="form-control"
                 placeholder="مقدار"
                 v-model="quantity"
                 :class="{danger: checkOrderPrice}">
        </div>
        <div class="pull-left">

          <button class="btn btn-success"
                  @click="sellStock"
                  :disabled="checkOrderPrice || quantity <= 0">{{checkOrderPrice ? 'موجود نیست': 'فروش'}}</button>


        </div>
      </div>
    </div>
    <button class="btn-success" @click="sellStock"
            :disabled="true">{{1>0 ? 'test' : 'test'}} </button>
  </div>
</template>

<style scoped>
  .danger{
    border: 1px solid red;
  }
</style>

<script>
  import {mapActions} from 'vuex'
  export default{
    props:['stock'],
    data(){
      return {
        quantity: 0
      }
    },
    computed:{
      checkOrderPrice(){
        return this.quantity > this.stock.quantity
      }
    },
    methods:{
      ...mapActions({
          placeSellOrder: 'sellStock',
        placeEmptyOrder: 'emptyStock',
        }),
      sellStock(){
        const order = {
          stockId: this.stock.id,
          stockPrice: this.stock.price,
          quantity: this.quantity
        }
        this.placeSellOrder(order);
        this.quantity = 0;
      },

      },
      emptyStocks(){

        this.placeEmptyOrder();

      },


  }
</script>